<?php

namespace ThurData\Servers\KerioEmail\App\UI\Client\Ressource\Sections;

use ThurData\Servers\KerioEmail\App\Traits\FormExtendedTrait;
use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Hidden;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Select;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Text;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\InputGroup;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\InputGroupElements;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 12.11.19
 * Time: 13:52
 * Class EditGeneralSection
 */
class EditGeneralSection extends FreeFieldsSection
{
    protected $id   = 'editGeneralSection';
    protected $name = 'editGeneralSection';

    use FormExtendedTrait;

    public function initContent()
    {
        /**
         * add fields
         */
        $field = new Hidden('id');
        $this->addField($field);

        $email =new InputGroup('usernameGroup');

        $email->addInputComponent((new InputGroupElements\Text('username'))->addHtmlAttribute('readonly','true'));
        $email->addInputAddon('emailSign', false, '@');
        $email->addInputComponent((new InputGroupElements\Text('domain'))->addHtmlAttribute('readonly','true'));
        $this->addSection($email);

        $this->generateDoubleSection([new Text('display_name'), new Select('status')]);

        $type = new Select('type');
        $capacity = new Text('capacity');

        $this->generateDoubleSection([$type, $capacity]);

        $field = new Text('description');
        $this->addField($field);

        $field = new Text('notes');
        $this->addField($field);

        $autoAcceptDecline = new Switcher('auto_accept');
        $autoDeclineBusy = new Switcher('auto_busy');
        $this->generateDoubleSection([$autoAcceptDecline, $autoDeclineBusy]);

    }
}